OpenLayers v4.0.1 API - Namespace: interaction

# Namespace: interaction

This documentation is for OpenLayers v4.0.1. The latest is v.

## ol.interaction

### Classes

DoubleClickZoom
DragAndDrop
DragBox
DragPan
DragRotate
DragRotateAndZoom
DragZoom
Draw
Extent
Interaction
KeyboardPan
KeyboardZoom
Modify
MouseWheelZoom
PinchRotate
PinchZoom
Pointer
Select
Snap
Translate

### Methods

#### ol.interaction.defaults(opt_options){ol.Collection.<ol.interaction.Interaction>}

src/ol/interaction.js, line 39

  Set of interactions included in maps by default. Specific interactions can be excluded by setting the appropriate option to false in the constructor options, but the order of the interactions is fixed. If you want to specify a different order for interactions, you will need to create your own `ol.interaction.Interaction` instances and insert them into a `ol.Collection` in the order you want before creating your `ol.Map` instance. The default set of interactions, in sequence, is:

  - `ol.interaction.DragRotate`
  - `ol.interaction.DoubleClickZoom`
  - `ol.interaction.DragPan`
  - `ol.interaction.PinchRotate`
  - `ol.interaction.PinchZoom`
  - `ol.interaction.KeyboardPan`
  - `ol.interaction.KeyboardZoom`
  - `ol.interaction.MouseWheelZoom`
  - `ol.interaction.DragZoom`

  Name | Type | Description
  --- | --- | ---

  `options`

  Defaults options.

  Name | Type | Description
  --- | --- | ---
  `altShiftDragRotate` | boolean | undefined | Whether Alt-Shift-drag rotate is desired. Default is `true`.
  `doubleClickZoom` | boolean | undefined | Whether double click zoom is desired. Default is `true`.
  `keyboard` | boolean | undefined | Whether keyboard interaction is desired. Default is `true`.
  `mouseWheelZoom` | boolean | undefined | Whether mousewheel zoom is desired. Default is `true`.
  `shiftDragZoom` | boolean | undefined | Whether Shift-drag zoom is desired. Default is `true`.
  `dragPan` | boolean | undefined | Whether drag pan is desired. Default is `true`.
  `pinchRotate` | boolean | undefined | Whether pinch rotate is desired. Default is `true`.
  `pinchZoom` | boolean | undefined | Whether pinch zoom is desired. Default is `true`.
  `zoomDelta` | number | undefined | Zoom delta.
  `zoomDuration` | number | undefined | Zoom duration.

  ##### Returns:

  A collection of interactions to be used with the ol.Map constructor's interactions option.